Skip to main content
`Ctrl`+`K`

# TSRKRegisterAll

Registers all of the Runge-Kutta explicit methods in `TSRK`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKRegisterAll(void)

Not Collective, but should be called by all processes which will need the schemes to be registered

## See Also

TS: Scalable ODE and DAE Solvers, `TSRKRegisterDestroy()`, `TSRKRegister()`

## Level

advanced

## Location

src/ts/impls/explicit/rk/rk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages